apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: gitlab
  namespace: gitlab
spec:
  interval: 10m
  chart:
    spec:
      chart: gitlab
      version: "8.9.1"
      sourceRef:
        kind: HelmRepository
        name: gitlab
        namespace: gitlab
      interval: 10m
  timeout: 10m
  values:
    registry:
      image:
        repository: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-container-registry # {"$imagepolicy": "gitlab:gitlab-container-registry:name"}
        tag: flux-pre-16-2-202307201900-ce615a975c9 # {"$imagepolicy": "gitlab:gitlab-container-registry:tag"}
    gitlab:
      sidekiq:
        image:
          repository: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-sidekiq-ee # {"$imagepolicy": "gitlab:gitlab-sidekiq-ee:name"}
          tag: v16.2.0-rc45 # {"$imagepolicy": "gitlab:gitlab-sidekiq-ee:tag"}
      mailroom:
        image:
          repository: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-mailroom # {"$imagepolicy": "gitlab:gitlab-mailroom:name"}
          tag: 0.0.19 # {"$imagepolicy": "gitlab:gitlab-mailroom:tag"}
      kas:
        image:
          repository: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-kas # {"$imagepolicy": "gitlab:gitlab-kas:name"}
          tag: 16-2-202307130600-8628af7df3d # {"$imagepolicy": "gitlab:gitlab-kas:tag"}
      gitlab-shell:
        image:
          repository: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-shell # {"$imagepolicy": "gitlab:gitlab-shell:name"}
          tag: v16.2.0-rc45 # {"$imagepolicy": "gitlab:gitlab-shell:tag"}
      gitlab-pages:
        image:
          repository: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-pages # {"$imagepolicy": "gitlab:gitlab-pages:name"}
          tag: v16.2.0-rc45 # {"$imagepolicy": "gitlab:gitlab-pages:tag"}
      webservice:
        workhorse:
          image: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-workhorse-ee # {"$imagepolicy": "gitlab:gitlab-workhorse-ee:name"}
          tag: v16.2.0-rc45 # {"$imagepolicy": "gitlab:gitlab-workhorse-ee:tag"}
        image:
          repository: us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images/gitlab-webservice-ee # {"$imagepolicy": "gitlab:gitlab-webservice-ee:name"}
          tag: flux-pre-16-2-202307201700-ce615a975c9 # {"$imagepolicy": "gitlab:gitlab-webservice-ee:tag"}
  valuesFrom:
    - kind: ConfigMap
      name: flux-components-gitlab-config-certmanager
      valuesKey: config-certmanager
    - kind: ConfigMap
      name: flux-components-gitlab-config-gitlab
      valuesKey: config-gitlab
    - kind: ConfigMap
      name: flux-components-gitlab-config-runner
      valuesKey: config-runner
    - kind: ConfigMap
      name: flux-components-gitlab-config-zoekt
      valuesKey: config-zoekt
    - kind: ConfigMap
      name: flux-components-gitlab-config-global
      valuesKey: config-global
    - kind: ConfigMap
      name: flux-components-gitlab-config-nginx-ingress
      valuesKey: config-nginx-ingress
    - kind: ConfigMap
      name: flux-components-gitlab-config-postgresql
      valuesKey: config-postgresql
    - kind: ConfigMap
      name: flux-components-gitlab-config-prometheus
      valuesKey: config-prometheus
    - kind: ConfigMap
      name: flux-components-gitlab-config-redis
      valuesKey: config-redis
    - kind: ConfigMap
      name: flux-components-gitlab-config-registry
      valuesKey: config-registry
    - kind: ConfigMap
      name: flux-components-gitlab-config-shared-secrets
      valuesKey: config-shared-secrets
    - kind: ConfigMap
      name: flux-components-gitlab-config-upgrade-check
      valuesKey: config-upgrade-check
